#include <bits/stdc++.h>

using namespace std;

int main()
{
    long long n;
    long long m;
    cin>>n>>m;
    string k;
    cin>>k;
    long long x;
    long long y;
    for (long long i=0;i<m;i++){
        cin>>x>>y;
        cout<<x+y<<endl;
    }
    return 0;
}